<!DOCTYPE html>

{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>AJOUT PRODUCTION</title>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <link rel="stylesheet" href="{% static 'style/style.css'%}">
    <link rel="icon" type="image/png" href= "{% static 'images/logo.png' %}" alt="Logo AssurOne"/>
        <style>
form {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    border-radius: 5px;
}

.form-group {
    margin-bottom: 10px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}
input[type="date"],
input[type="text"],
input[type="number"],
textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
}

input[type="submit"] {
    padding: 10px;
    border: none;
    background-color: #007bff;
    color: #fff;
    cursor: pointer;
    border-radius: 3px;
    float: inline-end;
}

input[type="submit"]:hover {
    background-color: #0056b3;
}
</style>
</head>
<body>

<h1>Ajouter en prod</h1>

{% include 'menu.html' %}

<form method="post">{% csrf_token %}
     <div class="form-group"  style="display: grid; grid-template-columns: 1fr 1fr;">
        <div class="form-group">
            <label for="nom">Nom :</label>
            <input type="text" id="nom" name="nom" required>
        </div>
        <div class="form-group">
            <label for="type">Type :</label>
            <input type="text" id="Type" name="Type" required>
        </div>
     </div>

     <div class="form-group"  style="display: grid; grid-template-columns: 1fr 1fr;">
    <div class="form-group">
            <label for="nbplis">nbplis :</label>
            <input type="number" id="nbplis" name="nbplis" step="1" required>
    </div>
    <div class="form-group">
            <label for="nbpages">nbpages :</label>
            <input type="number"  id="nbpages" name="nbpages" step="1" required></input>
        </div>
     </div>
    <div class="form-group"  style="display: grid; grid-template-columns: 1fr 1fr;">
            <label for="dateTraitement">date Traitement :</label>
            <label for="dateImpression">date Impression :</label>
    </div>
    <div class="form-group"  style="display: grid; grid-template-columns: 1fr 1fr;">
            <input type="date" id="dateTraitement" name="dateTraitement" step="1" required>
            <input type="date" id="dateImpression" name="nbpdateImpressionlis" step="1"required >
    </div>
        <div class="form-group"  style="display: grid; grid-template-columns: 1fr 1fr 1fr;">
    <div class="form-group">
        <label for="cout_total">cout Total :</label>
        <input type="number" id="cout_total" name="cout" step="0.1" required >
    </div>
    <div class="form-group">
        <label for="cout_traitement">cout Traitement :</label>
        <input type="number" id="cout_traitement" name="cout" step="0.1" required>
    </div>
    <div class="form-group">
        <label for="cout_aff">cout Affranchissement :</label>
        <input type="number" id="cout_aff" name="cout_aff" step="0.1" required>
    </div>
        </div>
        <div class="form-group">
            <input type="submit" value="Envoyer" name="envoyer" >
        </div>
    </form>

</body>
<footer>
    <div style="float: right; width: 450px;">
        <strong style="background-color: green;color: white;">{{envoye}}</strong>
    </div>
</footer>

</html>